[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible diffoscope: add a new job to test whether diffoscope on PyPI is as new as in Debian
Holger Levsen
holger at moszumanska.debian.org
Wed Mar 9 14:29:34 UTC 2016
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit 16aaa1e262784593f392bf881f11eaea3582c677
Author: Holger Levsen <holger at layer-acht.org>
Date: Wed Mar 9 15:29:13 2016 +0100
reproducible diffoscope: add a new job to test whether diffoscope on PyPI is as new as in Debian
---
bin/diffoscope_pypi_test.sh | 37 +++++++++++++++++++++++++++++++++++++
job-cfg/reproducible.yaml | 4 ++++
2 files changed, 41 insertions(+)
diff --git a/bin/diffoscope_pypi_test.sh b/bin/diffoscope_pypi_test.sh
new file mode 100755
index 0000000..88dd850
--- /dev/null
+++ b/bin/diffoscope_pypi_test.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+# Copyright 2014-2016 Holger Levsen <holger at layer-acht.org>
+# released under the GPLv=2
+
+DEBUG=false
+#. /srv/jenkins/bin/common-functions.sh
+#common_init "$@"
+
+cleanup_all() {
+ rm $TMPPYPI
+}
+
+
+#
+# main
+#
+TMPPYPI=$(mktemp -t diffoscope-pypi-XXXXXXXX)
+trap cleanup_all INT TERM EXIT
+
+DIFFOSCOPE_IN_DEBIAN=$(rmadison diffoscope|grep unstable| cut -d "|" -f2 || true)
+curl https://pypi.python.org/pypi/diffoscope/ -o $TMPPYPI
+DIFFOSCOPE_IN_PYPI=$(grep "<title>" $TMPPYPI | cut -d ">" -f2- | cut -d ":" -f1 |cut -d " " -f2)
+echo
+echo
+
+if [ "$DIFFOSCOPE_IN_DEBIAN" = "$DIFFOSCOPE_IN_PYPI" ] ; then
+ echo "Yay. diffoscope in Debian has the same version as on PyPI."
+elif dpkg --compare-versions "$DIFFOSCOPE_IN_DEBIAN" gt "$DIFFOSCOPE_IN_PYPI" ; then
+ echo "Fail: diffoscope in Debian: $DIFFOSCOPE_IN_DEBIAN"
+ echo "Fail: diffoscope in PyPI: $DIFFOSCOPE_IN_PYPI"
+ exit 1
+fi
+
+# the end
+cleanup_all
+trap - INT TERM EXIT
diff --git a/job-cfg/reproducible.yaml b/job-cfg/reproducible.yaml
index 00ff9c4..c0c3d3b 100644
--- a/job-cfg/reproducible.yaml
+++ b/job-cfg/reproducible.yaml
@@ -461,6 +461,10 @@
my_description: 'Build a simple webpage for Fedora 23 reproducibility tests'
my_timed: ''
my_shell: '/srv/jenkins/bin/reproducible_html_rpms.sh fedora-23 x86_64'
+ - 'diffoscope_pypi'
+ my_description: 'Test whether PyPI has the latest diffoscope.'
+ my_timed: '23 23 * * *'
+ my_shell: '/srv/jenkins/bin/diffoscope_pypi_test.sh'
my_shellext: ".sh"
my_shell: '/srv/jenkins/bin/reproducible_{my_task}{my_shellext}'
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list